Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.image.codec.jpeg
Class JPEGCodec

    java.lang.Object
      |
      +--com.sun.image.codec.jpeg.JPEGCodec

public class JPEGCodec
extends Object

This class is a factory for implementations of the JPEG Image Decoder/Encoder.

Note that the classes in the com.sun.image.codec.jpeg package are not part of the core Java APIs. They are a part of Sun's JDK and JRE distributions. Although other licensees may choose to distribute these classes, developers cannot depend on their availability in non-Sun implementations. We expect that equivalent functionality will eventually be available in a core API or standard extension.

See Also:
  `JPEGImageDecoder`, `JPEGImageEncoder`

Method Summary
`static JPEGImageDecoder` | `createJPEGDecoder(InputStream src)` This creates an instance of a JPEGImageDecoder that can be used to decode JPEG Data streams.
`static JPEGImageDecoder` | `createJPEGDecoder(InputStream src, JPEGDecodeParam jdp)` This creates an instance of a JPEGImageDecoder that can be used to decode JPEG Data streams.
`static JPEGImageEncoder` | `createJPEGEncoder(OutputStream dest)` This creates an instance of a JPEGImageEncoder that can be used to encode image data as JPEG Data streams.
`static JPEGImageEncoder` | `createJPEGEncoder(OutputStream dest, JPEGEncodeParam jep)` This creates an instance of a JPEGImageEncoder that can be used to encode image data as JPEG Data streams.
`static JPEGEncodeParam` | `getDefaultJPEGEncodeParam(BufferedImage bi)` This is a factory method for creating JPEGEncodeParam objects.
`static JPEGEncodeParam` | `getDefaultJPEGEncodeParam(int numBands, int colorID)` This is a factory method for creating JPEGEncodeParam objects.
`static JPEGEncodeParam` | `getDefaultJPEGEncodeParam(JPEGDecodeParam jdp)` This is a factory method for creating a JPEGEncodeParam from a JPEGDecodeParam.
`static JPEGEncodeParam` | `getDefaultJPEGEncodeParam(Raster ras, int colorID)` This is a factory method for creating JPEGEncodeParam objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createJPEGDecoder

    public static JPEGImageDecoder createJPEGDecoder(InputStream src)

  This creates an instance of a JPEGImageDecoder that can be used to decode JPEG Data streams.

### createJPEGDecoder

    public static JPEGImageDecoder createJPEGDecoder(InputStream src,
                                                     JPEGDecodeParam jdp)

  This creates an instance of a JPEGImageDecoder that can be used to decode JPEG Data streams.

### createJPEGEncoder

    public static JPEGImageEncoder createJPEGEncoder(OutputStream dest)

  This creates an instance of a JPEGImageEncoder that can be used to encode image data as JPEG Data streams.

### createJPEGEncoder

    public static JPEGImageEncoder createJPEGEncoder(OutputStream dest,
                                                     JPEGEncodeParam jep)

  This creates an instance of a JPEGImageEncoder that can be used to encode image data as JPEG Data streams.

### getDefaultJPEGEncodeParam

    public static JPEGEncodeParam getDefaultJPEGEncodeParam(BufferedImage bi)

  This is a factory method for creating JPEGEncodeParam objects. The returned object should do a credible job of encoding the given BufferedImage.
  Parameters:
    `bi` - A BufferedImage that is similar to the BufferedImage(s) that will encoded using the returned JPEGEncodeParam object.

### getDefaultJPEGEncodeParam

    public static JPEGEncodeParam getDefaultJPEGEncodeParam(Raster ras,
                                                            int colorID)

  This is a factory method for creating JPEGEncodeParam objects. It is the users responsiblity to match the colorID with the data contained in the Raster. Failure to do so may lead to either poor compression or poor image quality. If you don't understand much about JPEG it is strongly recommended that you stick to the BufferedImage interface.
  Parameters:
    `ras` - Raster that is similar to those to be encoded later.
    `colorID` - the COLOR_ID for the encoded data. This should match the data in the raster.

### getDefaultJPEGEncodeParam

    public static JPEGEncodeParam getDefaultJPEGEncodeParam(int numBands,
                                                            int colorID)
                                                     throws ImageFormatException

  This is a factory method for creating JPEGEncodeParam objects. It is the users responsiblity to match the colorID with the given number of bands, which should match the data being encoded. Failure to do so may lead to poor compression and/or poor image quality. If you don't understand much about JPEG it is strongly recommended that you stick to the BufferedImage interface. This can also be used as a factory for a JPEGDecodeParam object. However this usage is extremely rare, as one needs to be decoding abbreviated JPEG streams where the JPEG tables are coming from some source other than a JPEG tables only stream.
  Parameters:
    `numBands` - the number of bands that will be encoded (max of four).
    `colorID` - the COLOR_ID for the encoded data. This is used to set reasonable defaults in the parameter object. This must match the number of bands given.

### getDefaultJPEGEncodeParam

    public static JPEGEncodeParam getDefaultJPEGEncodeParam(JPEGDecodeParam jdp)
                                                     throws ImageFormatException

  This is a factory method for creating a JPEGEncodeParam from a JPEGDecodeParam. This will return a new JPEGEncodeParam object that is initialized from the JPEGDecodeParam object. All major pieces of information will be initialized from the DecodeParam (Markers, Tables, mappings).
  Parameters:
    `jdp` - The JPEGDecodeParam object to copy.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.